Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005001TestLinkTest Project Managementpublic2012-05-03 22:452012-05-30 21:02
Reporteraostad 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformWindowsOSXP proOS Version
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0005001: crash - Create test project from an existing one (has 1900 Requirements)
DescriptionI'm not sure if this issue fits in import/export or not. Since I had similar issue in importing a large file, I thought this may be related to the same problem.

The problem is that when I try to create a project from an existing project with all fields checked (e.g. requirement enabled, test priority enabled, etc.) after a couple minute the page goes blank. However, the new project is created but not complete. That means, if I have 2000 requirements, only 500 of them will be created.

I un-checked the requirement field during creating the new project. Although, the page is not blank, but I get Gateway Timeout in Firefox. In this case the project is created but with a subset of test cases (e.g. 500 out of 1500).

I had kind of similar issue in importing requirements or test suites. I remember Francis (fman) found a memory leak in the code and I apply the patch, so the problem has been resolved. In this case the problem persist.

Here is the link to pacth that he's sent mo to fix memory leak:https://gitorious.org/testlink-ga/testlink-code/commit/a8083f89a0d9616bd58cf7fbef8e9018ce7391b6 [^]
Steps To Reproducecreate a new project from another project.
Enable all options.
the source project need to be large.
TagsMemory Leak, Performance, TO BE FIXED on 2.0
Database (MySQL,Postgres,etc)MYsql
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filesxml file icon A_Big_Req_spec.xml [^] (470,371 bytes) 2012-05-04 15:27
jpg file icon Back trace after applyin patch.jpg [^] (127,197 bytes) 2012-05-07 05:48


jpg file icon Error after applying patch for creating a project from another one.jpg [^] (124,477 bytes) 2012-05-07 05:49

- Relationships

-  Notes
(0016635)
aostad (reporter)
2012-05-03 23:44

The bug-id for the memory leak issue is 4802.
(0016636)
fman (administrator)
2012-05-04 06:36

as usual we need a DB dump in order to reproduce (create big test projects is a problem for us).
before sending the dump truncate info on TRANSACTIONS and EVENTS table
send to testlink.helpme@gmail.com
providing THIS TICKET number as reference
(0016638)
aostad (reporter)
2012-05-04 15:37

I have uploaded a xml file wich includes 1920 requirements. I have tried it before adding this note:
1) create a project. Let's call it PROJ_1
2) upload the attached xml file, which has 1920 req, to the "Requirement" page of the project.
3) Now, try to create project PRJ_2 from PRJ_1. Just make sure all fields are checked and enabled(e.g Enable Requirements Feature).

You should get a blank page in creating PROJ_2. After refreshing the page, PROJ_2 shows up but has less requirements. In my case PROJ_2 has 605 requirements instead of 1920.
(0016641)
fman (administrator)
2012-05-04 20:04
edited on: 2012-05-05 16:38

>>. I remember Francisco (fman) found a memory leak in the code and I apply the >> patch, so the problem has been resolved. In this case the problem persist.
>> Here is the link to pacth that he's sent mo to fix memory
>> leak:https://gitorious.org/testlink-ga/testlink-code/commit [^]
>>/a8083f89a0d9616bd58cf7fbef8e9018ce7391b6 [^]
As is clearly detailed on commit, the patch was for
TICKET 4802: Exporting large amount of requirements ( qty > 1900) fails

now problem is in Creating Test project as copy of existing one, then you are wrong when saying patch do not work.

This is a new problem

(0016642)
fman (administrator)
2012-05-05 16:43

I've worked on 1.9.4, tested with attached XML, there was a realy big memory leak issue.
With Code provided here:

http://gitorious.org/testlink-ga/testlink-code/commit/e5a6d7d91dc41609234ec8dadbff313f5fddbdab [^]

http://gitorious.org/testlink-ga/testlink-code/commit/7766ee0e5d852aa25a2b6e9265a0462cef88dfc3 [^]

Memory remain stable, and I was able to test following

1. create new test project
2. import XML with requirements
   This test project will have no other content that req.

3. Create a new test project as copy of test project create on step 1.

More tests are needed witha test project that has NOT ONLY req inside

You can use code provided as guide and using diff tool add changes to your 1.9.3
code.

let us know
(0016648)
aostad (reporter)
2012-05-07 05:53

I have double checked the code after applying patch.Can I download complete files from womewhere? Although, I know 1.94 is not released, can I get the development release?
(0016649)
fman (administrator)
2012-05-07 07:27

1. never,never, never create a note with the amount of code you have putted on 16647

2. is absolutely not clear when and how you have got this error.
have you have adapted your code ? is also not clear

3. you can got latest dev for gitorious => have to get tarball.
(0016653)
aostad (reporter)
2012-05-07 21:56

It looks like in the next version, the database in the new version is changed. I have installed the development build, and got a database error.

Could you please confirm that there will be a database upgrade in the next release? Can I have the command for upgrading database? So I can make the development release work with my current projects.
(0016654)
fman (administrator)
2012-05-08 08:23
edited on: 2012-05-08 08:24

>> Could you please confirm that there will
>> be a database upgrade in the next release?
this kind of question is not ok, we have ALWAYS PROVIDED a detailed upgrade procedure

>> Can I have the command for upgrading database?
go to alter* folder and you are going to find the SQL to apply

Till we do not release ALPHA, dev is unstable and we are NOT GOING TO ANSWER any question regarding issues with gitorious version


- Issue History
Date Modified Username Field Change
2012-05-03 22:45 aostad New Issue
2012-05-03 23:44 aostad Note Added: 0016635
2012-05-04 06:36 fman Note Added: 0016636
2012-05-04 15:27 aostad File Added: A_Big_Req_spec.xml
2012-05-04 15:37 aostad Note Added: 0016638
2012-05-04 20:04 fman Note Added: 0016641
2012-05-04 20:05 fman Summary Web page goes blank during creating a project from an existing one => Web page goes blank during creating a project from an existing one (1900 Requirements inside)
2012-05-05 16:27 fman Category Export/Import => Test Project Management
2012-05-05 16:28 fman Tag Attached: Performance
2012-05-05 16:28 fman Tag Attached: Memory Leak
2012-05-05 16:30 fman Summary Web page goes blank during creating a project from an existing one (1900 Requirements inside) => crash - Create test project from an existing one (has 1900 Requirements)
2012-05-05 16:38 fman Note Edited: 0016641 View Revisions
2012-05-05 16:43 fman Note Added: 0016642
2012-05-05 16:43 fman Assigned To => fman
2012-05-05 16:43 fman Status new => feedback
2012-05-05 16:43 fman Tag Attached: TO BE FIXED on 2.0
2012-05-07 05:44 aostad Note Added: 0016647
2012-05-07 05:44 aostad Status feedback => assigned
2012-05-07 05:48 aostad File Added: Back trace after applyin patch.jpg
2012-05-07 05:49 aostad File Added: Error after applying patch for creating a project from another one.jpg
2012-05-07 05:53 aostad Note Added: 0016648
2012-05-07 07:27 fman Note Added: 0016649
2012-05-07 21:56 aostad Note Added: 0016653
2012-05-08 08:23 fman Note Added: 0016654
2012-05-08 08:23 fman Note Deleted: 0016647
2012-05-08 08:24 fman Note Edited: 0016654 View Revisions
2012-05-30 21:02 fman Status assigned => closed
2012-05-30 21:02 fman Resolution open => fixed
2012-05-30 21:02 fman Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker